#ifndef __spektaklis_h
#define __spektaklis_h

#include <string>
#include <vector>
#include <iostream>
#include "rodymai.h"

class Spektaklis
{
      private:
              std::string           pavad;
              std::vector<Rodymai*> rodymai;

      public:
             Spektaklis (const std::string& pavad);

             
             std::string getPavad () const {return pavad;}
             void spauzdinti      () const;
             void pridetRodyma    (Rodymai* rodymas);
             int  getRodymuSk     () const {return rodymai.size();}
             Rodymai* getRodymai  (int i)  {return rodymai[i];}
             double spektPelnas   () const;
};
#endif // __spektaklis_h
